删除 educationSynchronizationProfile
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
根据 标识符删除租户 中的学校数据同步配置文件。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限
委派(工作或学校帐户)
EduAdministration.ReadWrite
HTTP 请求
DELETE /education/synchronizationProfiles/{id}
名称
类型
说明
Authorization
string
Bearer {token}。必需。
委派 (个人 Microsoft 帐户
不支持。
应用程序
不支持。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法返回 响应 202 Accepted 代码,无响应正文。
示例
请求
下面是一个请求示例。
DELETE https://graph.microsoft.com/beta/education/synchronizationProfiles/{id}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
await graphClient.Education.SynchronizationProfiles["{educationSynchronizationProfile-id}"]
.Request()
.DeleteAsync();
const options = {
authProvider,
};
const client = Client.init(options);
await client.api('/education/synchronizationProfiles/{id}')
.version('beta')
.delete();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/education/synchronizationProfiles/{id}"]]];
[urlRequest setHTTPMethod:@"DELETE"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
graphClient.education().synchronizationProfiles("{id}")
.buildRequest()
.delete();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
educationSynchronizationProfileId := "educationSynchronizationProfile-id"
graphClient.Education().SynchronizationProfilesById(&educationSynchronizationProfileId).Delete()
Import-Module Microsoft.Graph.Education
Remove-MgEducationSynchronizationProfile -EducationSynchronizationProfileId $educationSynchronizationProfileId
响应
下面是一个响应示例。
HTTP/1.1 202 Accepted